
/*
 *	Copyright 2011-2013 Benjamin Ingle
 *	The PSyOPs framework is licensed 
 *	under the GNU LGPL, version 2.1
 *	http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt
 */
 
/*
CHECK SUBMITS

4 = Item by Contract
5 = Contract by Customer
*/

	function hideDivs() {

		document.getElementById("printICTitle").style.display = "none";
		document.getElementById("printCCTitle").style.display = "none";
		document.getElementById("printVenCTitle").style.display = "none";

	}
	
		


$().ready(function() {		// view item by contract
	$('#viewItemOnContract')
		.button()
		.click(function(){
			hideDivs();
			document.getElementById("divRes").style.display = "none";
			$("#contractReports").mask("Waiting...");
			document.getElementById("check_submit").value = "4";
			$.post('/includes/contracts/contract_by_item.php', $("#contractReports").serialize(), function(data) {
				$('#contract_results').html(data);
				document.getElementById("divRes").style.display = "block";
				document.getElementById("printICTitle").style.display = "block";
				$("#contractReports").unmask();
			});
			
		});
return false; 
});

$().ready(function() {		// dl item by contract
	$('#dlItemOnContract')
	.button()
	.click(function(){
		document.getElementById("check_submit").value = "4";
		$("form").submit(function() {
			return true;
		});
	});
return false; 
});


									// CONTRACT BY CUSTOMER
$().ready(function() {		// view contract by customer
	$('#viewCustByContract')
	.button()
	.click(function(){
		hideDivs();
		document.getElementById("divRes").style.display = "none";
		$("#contractReports").mask("Waiting...");
		document.getElementById("check_submit").value = "5";
		$.post('/includes/contracts/customer_by_contract.php', $("#contractReports").serialize(), function(data) {
			$('#contract_results').html(data);
			document.getElementById("divRes").style.display = "block";
			document.getElementById("printCCTitle").style.display = "block";
			$("#contractReports").unmask();
		});
		
	});
return false; 
});


$().ready(function() {		// dl contract by customer
	$('#dlCustByContract')
	.button()
	.click(function(){
		document.getElementById("check_submit").value = "5";
		$("form").submit(function() {
			return true;
		});
});
return false; 
});

							// VENDOR CONTRACT
$().ready(function() {		// view vendor contract
	$('#viewVendorContract')		
	.button()
	.click(function(){
		hideDivs();
		document.getElementById("divRes").style.display = "none";
		$("#contractReports").mask("Waiting...");
		document.getElementById('check_submit').value = "9";
		$.post('/includes/contracts/vendor_contract.php', $("#contractReports").serialize(), function(data) {
			$('#contract_results').html(data);
			document.getElementById("printVenCTitle").style.display = "block";
			document.getElementById("divRes").style.display = "block";
			$("#contractReports").unmask();
		});
		
	});
return false; 
});


$().ready(function() {		// dl vendor contract
	$('#dlVendorContract')
	.button()
	.click(function(){
		document.getElementById("check_submit").value = "9";
		$("form").submit(function() {
			return true;
		});
});
return false; 
});

function menuSelect(theLink) {		// vendor contract menu select
	document.getElementById("search").innerHTML = theLink.name;
	document.getElementById("checkVC").value = theLink.id;
	
	if (document.getElementById("list").style.display == "block") {
		document.getElementById("list").style.display = "none";
	}
}

$().ready(function() {		// file upload for upload price
	$('#priceFile')
	.button()
	.click(function(){
		document.getElementById('check_submit').value = "8";
});
return false; 
});

									// Upload
$().ready(function() {
	$('#ulPrice')
	.button()
	.click(function(){
		document.getElementById('check_submit').value = "8";
		$("form").submit(function() {
			return true;
		});
		
});
return false; 
});


function menuSelectUP(theLink) {		// upload price menu select
	document.getElementById("upSearch").innerHTML = theLink.name;
	document.getElementById("checkUP").value = theLink.id;
	
	if (document.getElementById("upList").style.display == "block") {
		document.getElementById("upList").style.display = "none";
	}
}

									// MISC FUNCTIONS
$(document).ready(function() {
    $("#accordion").accordion({
    	autoHeight: false,
		navigation: true
	});
});


$(document).ready(function(){
	$("#jMenu").jMenu({
		ulWidth : 'auto',
		effects : {
			effectSpeedOpen : 200,
			effectSpeedClose : 200,
			effectTypeOpen : 'slide',
			effectTypeClose : 'slide'
			
		},
		animatedText : false
	});
});


$().ready(function() {
	$('#printButton')
	.button({
		icons: {
			primary: "ui-icon-print"
		}
	})
		.click(function(){
			window.print();
	});
return false; 
		
});


$().ready(function() {
	$('#collapse')
	.button( {
		text: false,
		icons: {
			primary: "ui-icon-circle-triangle-n"
		}
	})
		.click(function(){
			hideDivs();
			document.getElementById("customer_results").style.display = "none";
		});
return false; 
});

$(document).ready(function(){	// submit functions for all download buttons

 $("#dlItemOnContract").click(function(){
 $('form#contractReports').attr({action: "/includes/contracts/contract_by_item-dl.php"});
 $('form#contractReports').submit();
 });
 
 $("#dlCustByContract").click(function(){
 $('form#contractReports').attr({action: "/includes/contracts/customer_by_contract-dl.php"});
 $('form#contractReports').submit();
 });
 
 $("#dlVendorContract").click(function(){
 $('form#contractReports').attr({action: "/includes/contracts/vendor_contract-dl.php"});
 $('form#contractReports').submit();
 });
 
 $("#ulPrice").click(function(){
 $('form#contractReports').attr({action: "/includes/contracts/upload_price.php"});
 $('form#contractReports').submit();
 });
 
});
